Loading...
Searching...
No Matches
gx_engine::OscilloscopeInfo Class Reference

`#include <gx_internal_plugins.h>`

## Public Member Functions

| OscilloscopeInfo ()
void | readJSON (gx_system::JsonParser &jp)
void | writeJSON (gx_system::JsonWriter &w) const
void | update ()
float * | get_buffer () const
unsigned int | get_buffer_size () const
sigc::signal< void(unsigned int, float *)> | signal_size_change ()

## Public Attributes

int | load
int | frames
bool | is_rt
jack_nframes_t | bsize

## Private Attributes

gx_jack::GxJack * | jack
sigc::signal< void(unsigned int, float *)> | size_change
float * | buffer
unsigned int | buffer_size

## Friends

class | OscilloscopeAdapter

## Detailed Description

Definition at line 149 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## OscilloscopeInfo()

gx_engine::OscilloscopeInfo::OscilloscopeInfo | ( |  | ) |

inline

Definition at line 163 of file gx_internal_plugins.h.

## Member Function Documentation

## get_buffer()

float * gx_engine::OscilloscopeInfo::get_buffer | ( |  | ) | const

inline

Definition at line 169 of file gx_internal_plugins.h.

## get_buffer_size()

unsigned int gx_engine::OscilloscopeInfo::get_buffer_size | ( |  | ) | const

inline

Definition at line 170 of file gx_internal_plugins.h.

## readJSON()

void gx_engine::OscilloscopeInfo::readJSON | ( | gx_system::JsonParser & | jp | ) |

## signal_size_change()

sigc::signal< void(unsigned int, float *)> gx_engine::OscilloscopeInfo::signal_size_change | ( |  | ) |

inline

Definition at line 171 of file gx_internal_plugins.h.

## update()

void gx_engine::OscilloscopeInfo::update | ( |  | ) |

## writeJSON()

void gx_engine::OscilloscopeInfo::writeJSON | ( | gx_system::JsonWriter & | w | ) | const

## Friends And Related Symbol Documentation

## OscilloscopeAdapter

friend class OscilloscopeAdapter

friend

Definition at line 155 of file gx_internal_plugins.h.

Referenced by OscilloscopeAdapter.

## Member Data Documentation

## bsize

jack_nframes_t gx_engine::OscilloscopeInfo::bsize

Definition at line 160 of file gx_internal_plugins.h.

Referenced by OscilloscopeInfo().

## buffer

float* gx_engine::OscilloscopeInfo::buffer

private

Definition at line 153 of file gx_internal_plugins.h.

Referenced by get_buffer(), and OscilloscopeInfo().

## buffer_size

unsigned int gx_engine::OscilloscopeInfo::buffer_size

private

Definition at line 154 of file gx_internal_plugins.h.

Referenced by get_buffer_size(), and OscilloscopeInfo().

## frames

int gx_engine::OscilloscopeInfo::frames

Definition at line 158 of file gx_internal_plugins.h.

Referenced by OscilloscopeInfo().

## is_rt

bool gx_engine::OscilloscopeInfo::is_rt

Definition at line 159 of file gx_internal_plugins.h.

Referenced by OscilloscopeInfo().

## jack

gx_jack::GxJack* gx_engine::OscilloscopeInfo::jack

private

Definition at line 151 of file gx_internal_plugins.h.

Referenced by OscilloscopeInfo().

## load

int gx_engine::OscilloscopeInfo::load

Definition at line 157 of file gx_internal_plugins.h.

Referenced by OscilloscopeInfo().

## size_change

sigc::signal<void(unsigned int, float*)> gx_engine::OscilloscopeInfo::size_change

private

Definition at line 152 of file gx_internal_plugins.h.

Referenced by OscilloscopeInfo(), and signal_size_change().

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h